#============================================================================
# prog_perl.mk

# set PERLFLAGS so that -wc works

# rule to create .pl from .pl.in  we can't use GNU make magic here
# to make things transparent.

include $(top_srcdir)/snippets/substitute_config_variables.mk

mysubst = $(do_subst) -e 's/^\#~~AM *//'

%.pl : %.pl.in Makefile 
	p="$@"; f=$(strip_dir) \
	$(mysubst) $(srcdir)/$$f.in > $@

# rule to "remove" the .pl designation.  need this so we know it compiles ok
% : %.pl Makefile
	cp $< $@
	if ! $(PERL) $(PERLFLAGS) -wc $@; then rm $@; false ; fi
	chmod +x $@

#
%.pm : %.pm.in
	p="$@"; f=$(strip_dir) \
	$(mysubst) $(srcdir)/$$f.in > $@
	if ! $(PERL) $(PERLFLAGS) -wc $@; then rm $@; false ; fi
